CVE-2014-9706

NameCVE-2014-9706
DescriptionThe build_index_from_tree function in index.py in Dulwich before 0.9.9 allows remote attackers to execute arbitrary code via a commit with a directory path starting with .git/, which is not properly handled when checking out a working tree.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-3206-1
NVD severityhigh (attack range: remote)
Debian Bugs780989

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
dulwich (PTS)wheezy, wheezy (security)0.8.5-2+deb7u2fixed
jessie0.9.7-3fixed
stretch0.16.3-1fixed
buster, sid0.18.4-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
dulwichsource(unstable)0.10.1-1high780989
dulwichsourcejessie0.9.7-3high
dulwichsourcesqueeze(not affected)
dulwichsourcewheezy0.8.5-2+deb7u2highDSA-3206-1

Notes

[squeeze] - dulwich <not-affected> (Repo.checkout (later renamed to build_index_from_tree) introduced past 0.6.1)
Patch: https://git.samba.org/?p=jelmer/dulwich.git;a=commitdiff;h=091638be3c89f46f42c3b1d57dc1504af5729176
http://www.openwall.com/lists/oss-security/2015/03/21/1

Search for package or bug name: Reporting problems